#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	JP=obj-$(DEB_HOST_GNU_TYPE)/bin/jp bats test/cases
endif


override_dh_auto_install:
	dh_auto_install -- --no-source
